| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::TrackerStateEstimatorSVM Class Reference
Tracking API

TrackerStateEstimator based on SVM. More...

`#include <opencv2/tracking/tracker.hpp>`

Inheritance diagram for cv::TrackerStateEstimatorSVM:

## Public Member Functions
| TrackerStateEstimatorSVM ()
| ~TrackerStateEstimatorSVM ()
Public Member Functions inherited from cv::TrackerStateEstimator
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state. More...
String | getClassName () const
| Get the name of the specific TrackerStateEstimator. More...
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores. More...

## Protected Member Functions
Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE
void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps) CV_OVERRIDE

## Additional Inherited Members
Static Public Member Functions inherited from cv::TrackerStateEstimator
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type. More...
Protected Attributes inherited from cv::TrackerStateEstimator
String | className

## Detailed Description

TrackerStateEstimator based on SVM.

## Constructor & Destructor Documentation

## ◆ TrackerStateEstimatorSVM()

cv::TrackerStateEstimatorSVM::TrackerStateEstimatorSVM | ( |  | ) |

## ◆ ~TrackerStateEstimatorSVM()

cv::TrackerStateEstimatorSVM::~TrackerStateEstimatorSVM | ( |  | ) |

## Member Function Documentation

## ◆ estimateImpl()

Ptr<TrackerTargetState> cv::TrackerStateEstimatorSVM::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

## ◆ updateImpl()

void cv::TrackerStateEstimatorSVM::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected virtual

Implements cv::TrackerStateEstimator.

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp